/*
 * can_comm.h
 *
 *  Created on: Jun 28, 2022
 *      Author: LUBI
 */

#ifndef INC_CAN_COMM_H_
#define INC_CAN_COMM_H_


#define enable 1
#define disable 0


#define can2TX_stsbits 0
#define can2TX_errorFlag 1
#define can2TX_ele_isolationMSB 2
#define can2TX_ele_isolationLSB 3
#define can2TX_SWstatus 4
#define can2TX_exhaustfan 5
#define can2TX_dcpostemp 6
#define can2TX_dcnegtemp 7

void maxwellTest(char id);

void can_tx_temperature(void);
void can_tx_reset(void);
void can_tx_vbmax(void);
void can_tx_Isolation_State(void);
void can_tx_Error_Flag(void);
void can_rx(void);
void can_filterconfig(void);
void can2_tx_frame(void);
void can2_filterconfig(void);
extern volatile uint8_t relaysts_ac02sts;
extern uint8_t can2TX_msg[8],tx_can2flag;
extern uint8_t AC02_stop_flag,Authentication_done;
struct chargersts
{
	char charging;
	char empress;
	char resetactive;
	char doorlock;
	char exfault;
};
extern struct chargersts chrgsts;
#endif /* INC_CAN_COMM_H_ */
